Index: uspace/srv/net/include/byteorder.h
===================================================================
--- uspace/srv/net/include/byteorder.h	(revision f430f5823554539eb9aa453ce917d5621796edc0)
+++ uspace/srv/net/include/byteorder.h	(revision 007ea77661ccd247eb22bd0adeccce01a295f3cb)
@@ -39,64 +39,30 @@
 
 #include <byteorder.h>
-
 #include <sys/types.h>
 
-#ifdef ARCH_IS_BIG_ENDIAN
 
-// Already in the network byte order.
+/** Converts the given short number ( 16 bit ) from the host byte order to the network byte order ( big endian ).
+ *  @param[in] number The number in the host byte order to be converted.
+ *  @returns The number in the network byte order.
+ */
+#define htons( number )		host2uint16_t_be( number )
 
-	/** Converts the given short number ( 16 bit ) from the host byte order to the network byte order ( big endian ).
-	 *  @param[in] number The number in the host byte order to be converted.
-	 *  @returns The number in the network byte order.
-	 */
-	#define htons( number )		( number )
+/** Converts the given long number ( 32 bit ) from the host byte order to the network byte order ( big endian ).
+ *  @param[in] number The number in the host byte order to be converted.
+ *  @returns The number in the network byte order.
+ */
+#define htonl( number )		host2uint32_t_be( number )
 
-	/** Converts the given long number ( 32 bit ) from the host byte order to the network byte order ( big endian ).
-	 *  @param[in] number The number in the host byte order to be converted.
-	 *  @returns The number in the network byte order.
-	 */
-	#define htonl( number )		( number )
+/** Converts the given short number ( 16 bit ) from the network byte order ( big endian ) to the host byte order.
+ *  @param[in] number The number in the network byte order to be converted.
+ *  @returns The number in the host byte order.
+ */
+#define ntohs( number ) 	uint16_t_be2host( number )
 
-	/** Converts the given short number ( 16 bit ) from the network byte order ( big endian ) to the host byte order.
-	 *  @param[in] number The number in the network byte order to be converted.
-	 *  @returns The number in the host byte order.
-	 */
-	#define ntohs( number ) 	( number )
-
-	/** Converts the given long number ( 32 bit ) from the network byte order ( big endian ) to the host byte order.
-	 *  @param[in] number The number in the network byte order to be converted.
-	 *  @returns The number in the host byte order.
-	 */
-	#define ntohl( number )		( number )
-
-#else
-
-// Has to be swapped.
-
-	/** Converts the given short number ( 16 bit ) from the host byte order to the network byte order ( big endian ).
-	 *  @param[in] number The number in the host byte order to be converted.
-	 *  @returns The number in the network byte order.
-	 */
-	#define htons( number )		uint16_t_byteorder_swap(( uint16_t )( number ))
-
-	/** Converts the given long number ( 32 bit ) from the host byte order to the network byte order ( big endian ).
-	 *  @param[in] number The number in the host byte order to be converted.
-	 *  @returns The number in the network byte order.
-	 */
-	#define htonl( number )		uint32_t_byteorder_swap( number )
-
-	/** Converts the given short number ( 16 bit ) from the network byte order ( big endian ) to the host byte order.
-	 *  @param[in] number The number in the network byte order to be converted.
-	 *  @returns The number in the host byte order.
-	 */
-	#define ntohs( number ) 	uint16_t_byteorder_swap(( uint16_t )( number ))
-
-	/** Converts the given long number ( 32 bit ) from the network byte order ( big endian ) to the host byte order.
-	 *  @param[in] number The number in the network byte order to be converted.
-	 *  @returns The number in the host byte order.
-	 */
-	#define ntohl( number )		uint32_t_byteorder_swap( number )
-
-#endif
+/** Converts the given long number ( 32 bit ) from the network byte order ( big endian ) to the host byte order.
+ *  @param[in] number The number in the network byte order to be converted.
+ *  @returns The number in the host byte order.
+ */
+#define ntohl( number )		uint32_t_be2host( number )
 
 #endif
